"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const reply_markup_1 = require("./reply_markup");
class ReplyKeyboard extends reply_markup_1.VisualKeyboard {
    constructor(oneKey) {
        // not passing type to super because it depends from the method (open or close)
        super();
        if (oneKey) {
            this.addRow(oneKey);
        }
    }
    /**
     * Returns a structure to open a keyboard
     * @param options - Options included in ReplyKeyboardMarkup
     * @see https://core.telegram.org/bots/api#replykeyboardmarkup
     */
    open(options = {}) {
        this.setKeyboardType("keyboard");
        return Object.assign(this.build(), options);
    }
    /**
     * Returns a structure to close the keyboard
     * @param options - Options included in ReplyKeyboardRemove
     * @see https://core.telegram.org/bots/api#replykeyboardremove
     */
    close(options = {}) {
        this.setKeyboardType("remove_keyboard");
        this._override = true;
        return Object.assign(this.build(), options);
    }
}
exports.ReplyKeyboard = ReplyKeyboard;
